import { View, Text, Image } from '@tarojs/components'
import Taro from '@tarojs/taro';
import ViewIcon from '../../components/ViewIcon';


import './style.less'

export default (props) => {

  const goDogList = () => {
    console.log('e',);
  }
  const goSetUser = (e) => {
    Taro.navigateTo({
      url: '/pages/setUser/index'
    })
  }
  return (
    <View className='user-box'>
      <View className='user-box-Card'>
        <View className='user-box-Card-useImage'>
          <ViewIcon icon='morentouxiang' size={50} color='#FBD804' />
        </View>

        <View className='user-box-Card-NameCard'>
          <View>王王王</View>
          <View>文明养狗，遵纪守法</View>
        </View>
        <View className='user-box-Card-right' onClick={goSetUser}>
          <View style={{ paddingRight: '5px' }}>
            <ViewIcon icon='bianji' size={19} color='#2f2f2f' />
          </View>
          修改信息
        </View>
      </View>

      <mp-cells ext-class='my-cells' >
        <mp-cell link hover>
          <View className='iconCell'>
            <ViewIcon icon='dingdan' size={22} />
            <View onClick={goDogList} style='padding-left:5px;width:80%'>申请列表</View>
          </View>
        </mp-cell>
      </mp-cells>

      <mp-cells ext-class='my-cells' >
        <mp-cell link hover>
          <View className='iconCell'>
            <ViewIcon icon='gou' size={22} />
            <View onClick={goDogList} style='padding-left:5px;width:80%'>我的狗狗</View>
          </View>
        </mp-cell>
      </mp-cells>
    </View >
  )
}

